Uploaded image for project: 'Data Management'
  1. Data Management
  2. DM-8259

v13.0 [Fall 2016] release

    Details

    • Type: Story
    • Status: Done
    • Resolution: Done
    • Fix Version/s: None
    • Component/s: stack release
    • Labels:
      None

      Description

      This is the ticket for the v13.0 release prep.

      List other tickets as blockers if you're not ready.

      Community post with current status: https://community.lsst.org/t/fall-2016-release-status-and-discussion/1398

        Attachments

          Issue Links

            Activity

            Hide
            tjenness Tim Jenness added a comment -

            Given the discussion in DM-8248, we have to publish a lsst package with tag "current" so that newinstall.sh won't install outdated packages.

            Show
            tjenness Tim Jenness added a comment - Given the discussion in DM-8248 , we have to publish a lsst package with tag "current" so that newinstall.sh won't install outdated packages.
            Hide
            jbosch Jim Bosch added a comment -

            Can we make sure the conda binaries for this release are built with gcc 5.2, and look into ways to get that compiler version out to devs? I'm not sure if the conversation on slack (starting here, and continuing for quite a while) ever converged or spawned a ticket, but we need to make sure we can build against the binaries from this release, and I think we did at least establish that we have no hope of doing that if the conda binaries are built with gcc 4.8.

            Show
            jbosch Jim Bosch added a comment - Can we make sure the conda binaries for this release are built with gcc 5.2, and look into ways to get that compiler version out to devs? I'm not sure if the conversation on slack (starting here , and continuing for quite a while) ever converged or spawned a ticket, but we need to make sure we can build against the binaries from this release, and I think we did at least establish that we have no hope of doing that if the conda binaries are built with gcc 4.8.
            Hide
            jmatt J Matt Peterson [X] (Inactive) added a comment -

            No artifacts were created. But work was done to keep conda functioning against master.

            Show
            jmatt J Matt Peterson [X] (Inactive) added a comment - No artifacts were created. But work was done to keep conda functioning against master.
            Hide
            frossie Frossie Economou added a comment -

            Jim Bosch So the situation is that we can make conda binaries with 5.2, so in combination with moving to eups distributed binaries I think we're going to be okay when we move to 5.2 (the move for which is over my paygrade).

            13.0 conda binaries were produced with 4.8

            Show
            frossie Frossie Economou added a comment - Jim Bosch So the situation is that we can make conda binaries with 5.2, so in combination with moving to eups distributed binaries I think we're going to be okay when we move to 5.2 (the move for which is over my paygrade). 13.0 conda binaries were produced with 4.8

              People

              • Assignee:
                frossie Frossie Economou
                Reporter:
                frossie Frossie Economou
                Reviewers:
                Frossie Economou
                Watchers:
                Fabio Hernandez, Frossie Economou, Jim Bosch, J Matt Peterson [X] (Inactive), John Swinbank, Pim Schellart [X] (Inactive), Russell Owen, Tim Jenness
              • Votes:
                0 Vote for this issue
                Watchers:
                8 Start watching this issue

                Dates

                • Due:
                  Created:
                  Updated:
                  Resolved:

                  Summary Panel